<template>
  <AppFrame :tabs="tabs">
    <img src="https://webapp-pub.ezijing.com/www/pc/news/banner.jpg" class="banner" />
    <template #article>
      <ArticleList v-bind="listOptions" />
    </template>
  </AppFrame>
</template>

<script setup>
import { getArticleList } from '@/api'

const config = useRuntimeConfig()
const tabs = useAboutNavList()

const listOptions = {
  remote: {
    httpRequest: getArticleList,
    params: { project_id: config.public.projectId, type_tag: 'article_news' },
  },
  to(item) {
    return `/about/news/${item.id}`
  },
}
</script>
